import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { DevopsUser } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-31 10:33
 */
interface DevopsUserCU extends ConditionUtil<DevopsUserCU> {
    ID: FieldUtil<DevopsUserCU>;
    STATE: FieldUtil<DevopsUserCU>;
    CREATE_TIME: FieldUtil<DevopsUserCU>;
    UPDATE_TIME: FieldUtil<DevopsUserCU>;
    ALLOW_ROLLBACK_OP: FieldUtil<DevopsUserCU>;
    EWECHAT_USER_ID: FieldUtil<DevopsUserCU>;
    NAME: FieldUtil<DevopsUserCU>;
    MOBILE: FieldUtil<DevopsUserCU>;
    ROLE: FieldUtil<DevopsUserCU>;
}
declare class DevopsUserMU extends TableUtilImpl<DevopsUserCU, DevopsUser> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): DevopsUserCU;
    static get ID(): FieldUtil<DevopsUserCU>;
    static get STATE(): FieldUtil<DevopsUserCU>;
    static get CREATE_TIME(): FieldUtil<DevopsUserCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsUserCU>;
    static get ALLOW_ROLLBACK_OP(): FieldUtil<DevopsUserCU>;
    static get EWECHAT_USER_ID(): FieldUtil<DevopsUserCU>;
    static get NAME(): FieldUtil<DevopsUserCU>;
    static get MOBILE(): FieldUtil<DevopsUserCU>;
    static get ROLE(): FieldUtil<DevopsUserCU>;
    get ID(): FieldUtil<DevopsUserCU>;
    get STATE(): FieldUtil<DevopsUserCU>;
    get CREATE_TIME(): FieldUtil<DevopsUserCU>;
    get UPDATE_TIME(): FieldUtil<DevopsUserCU>;
    get ALLOW_ROLLBACK_OP(): FieldUtil<DevopsUserCU>;
    get EWECHAT_USER_ID(): FieldUtil<DevopsUserCU>;
    get NAME(): FieldUtil<DevopsUserCU>;
    get MOBILE(): FieldUtil<DevopsUserCU>;
    get ROLE(): FieldUtil<DevopsUserCU>;
}
export { DevopsUserMU, DevopsUserCU };
